MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022590Open CASCADE[OCCT] OCCT:Visualizationpublic2011-06-10 16:202013-04-29 15:24
Reportersan 
Assigned Tokgv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0022590: Migration to FreeImage: revision of Xw and WNT packages
DescriptionIn the frames of migration of all OCCT functionality dealing with images to
FreeImage services (Image_PixMap class), it is necessary to revise the code in
Xw and WNT packages and replace all code that deals with images by usage of
Image_PixMap.

This task looks more or less urgent for maintenance reasons, as without it
migration to FreeImage is incomplete and OCCT continues to use very old and
buggy image support code, new bug reports come from the community, etc.

This task should be assigned to KGV or APL, depending on who of them is more
available.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0022591closedkgv Open CASCADE Migration to FreeImage: texture management 
related to 0023486closedkgv Open CASCADE Remove obsolete image manipulation classes 
related to 0023538closedomy Community Memory leak: cdata 
related to 0023537closedomy Community Uninitialized variable: MaxUserColor 
related to 0023885closeddbv Open CASCADE Inclusion of X11 header should be protected with macro 

-  Notes
(0023380)
kgv (developer)
2013-02-19 10:30

WNT package was cleaned up from custom image load/save operations within 0023712 and 0023663 patches (removal of TKV2d toolkit).
Xw package still contains dead code for image manipulations.
(0024027)
kgv (developer)
2013-04-06 15:58

Patch is ready for review in CR22590 branch.

Package Xw was cleaned up from unused functionality.
Since V2d package removal the only target for Xw_Window class is to provide OpenGL window definition for graphical driver.
(0024058)
san (developer)
2013-04-09 18:28

Branch CR22590 reviewed without remarks, ready for testing.
(0024187)
apn (administrator)
2013-04-17 15:55

Dear BugMaster,

Branch CR22590 (and products from GIT master) was compiled on Linux and Windows platforms and tested with rebase.
SHA-1: 80607f10f8ed8452b6d52ee3c0c9a77f325e98e7

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 290140448 / 296830228
Total CPU difference: 25768.64000000112 / 23459.080000000526

Testing on Windows:
Total MEMORY difference: 404502636 / 405895868
Total CPU difference: 27365.578125 / 33344.734375

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master ed97f43c
Timestamp: 2013-04-17 12:36:16
Author: kgv
Details ] Diff ]
0022590: Migration to FreeImage - revision of Xw and WNT packages

Clean up Xw package from outdated and unused functionality
Adjusting test case for current state of master
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d.cdl Diff ] File ]
mod - src/TKService/EXTERNLIB Diff ] File ]
mod - src/ViewerTest/ViewerTest_Tool.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/Xw/EXTERNLIB Diff ] File ]
mod - src/Xw/FILES Diff ] File ]
rm - src/Xw/Xw.cdl Diff ] File ]
rm - src/Xw/Xw.cxx Diff ] File ]
rm - src/Xw/Xw.edl Diff ] File ]
rm - src/Xw/Xw_alloc_color.cxx Diff ] File ]
rm - src/Xw/Xw_alloc_pixel.cxx Diff ] File ]
rm - src/Xw/Xw_calc_points.cxx Diff ] File ]
rm - src/Xw/Xw_Cextern.hxx Diff ] File ]
rm - src/Xw/Xw_CMPLRS.edl Diff ] File ]
rm - src/Xw/Xw_ColorMap.cdl Diff ] File ]
rm - src/Xw/Xw_ColorMap.cxx Diff ] File ]
rm - src/Xw/Xw_convert_image.cxx Diff ] File ]
rm - src/Xw/Xw_def_background_color.cxx Diff ] File ]
rm - src/Xw/Xw_def_color.cxx Diff ] File ]
rm - src/Xw/Xw_def_colormap.cxx Diff ] File ]
rm - src/Xw/Xw_def_font.cxx Diff ] File ]
rm - src/Xw/Xw_def_fontmap.cxx Diff ] File ]
rm - src/Xw/Xw_def_highlight_color.cxx Diff ] File ]
rm - src/Xw/Xw_def_marker.cxx Diff ] File ]
rm - src/Xw/Xw_def_markmap.cxx Diff ] File ]
rm - src/Xw/Xw_def_tile.cxx Diff ] File ]
rm - src/Xw/Xw_def_tilemap.cxx Diff ] File ]
rm - src/Xw/Xw_def_type.cxx Diff ] File ]
rm - src/Xw/Xw_def_typemap.cxx Diff ] File ]
rm - src/Xw/Xw_def_width.cxx Diff ] File ]
rm - src/Xw/Xw_def_widthmap.cxx Diff ] File ]
rm - src/Xw/Xw_def_window.cxx Diff ] File ]
rm - src/Xw/Xw_draw_arc.cxx Diff ] File ]
rm - src/Xw/Xw_draw_buffer.cxx Diff ] File ]
rm - src/Xw/Xw_draw_image.cxx Diff ] File ]
rm - src/Xw/Xw_draw_line.cxx Diff ] File ]
rm - src/Xw/Xw_draw_marker.cxx Diff ] File ]
rm - src/Xw/Xw_draw_point.cxx Diff ] File ]
rm - src/Xw/Xw_draw_poly.cxx Diff ] File ]
rm - src/Xw/Xw_draw_polyarc.cxx Diff ] File ]
rm - src/Xw/Xw_draw_polytext.cxx Diff ] File ]
rm - src/Xw/Xw_draw_segment.cxx Diff ] File ]
rm - src/Xw/Xw_draw_text.cxx Diff ] File ]
rm - src/Xw/Xw_draw_zoomed_image.cxx Diff ] File ]
rm - src/Xw/Xw_erase_area.cxx Diff ] File ]
rm - src/Xw/Xw_erase_window.cxx Diff ] File ]
rm - src/Xw/Xw_Extension.h Diff ] File ]
rm - src/Xw/Xw_flush.cxx Diff ] File ]
rm - src/Xw/Xw_FontMap.cdl Diff ] File ]
rm - src/Xw/Xw_FontMap.cxx Diff ] File ]
rm - src/Xw/Xw_gamma_image.cxx Diff ] File ]
rm - src/Xw/Xw_get_background_color.cxx Diff ] File ]
rm - src/Xw/Xw_get_background_image.cxx Diff ] File ]
rm - src/Xw/Xw_get_background_index.cxx Diff ] File ]
rm - src/Xw/Xw_get_background_pixel.cxx Diff ] File ]
rm - src/Xw/Xw_get_color.cxx Diff ] File ]
rm - src/Xw/Xw_get_colormap_info.cxx Diff ] File ]
rm - src/Xw/Xw_get_colormap_visual.cxx Diff ] File ]
rm - src/Xw/Xw_get_colormap_xid.cxx Diff ] File ]
rm - src/Xw/Xw_get_color_index.cxx Diff ] File ]
rm - src/Xw/Xw_get_color_name.cxx Diff ] File ]
rm - src/Xw/Xw_get_color_pixel.cxx Diff ] File ]
rm - src/Xw/Xw_get_cursor_position.cxx Diff ] File ]
rm - src/Xw/Xw_get_display_info.cxx Diff ] File ]
rm - src/Xw/Xw_get_display_visual.cxx Diff ] File ]
rm - src/Xw/Xw_get_double_buffer.cxx Diff ] File ]
rm - src/Xw/Xw_get_env.cxx Diff ] File ]
rm - src/Xw/Xw_get_filename.cxx Diff ] File ]
rm - src/Xw/Xw_get_font.cxx Diff ] File ]
rm - src/Xw/Xw_get_fontmap_info.cxx Diff ] File ]
rm - src/Xw/Xw_get_font_index.cxx Diff ] File ]
rm - src/Xw/Xw_get_highlight_color.cxx Diff ] File ]
rm - src/Xw/Xw_get_image.cxx Diff ] File ]
rm - src/Xw/Xw_get_image_info.cxx Diff ] File ]
rm - src/Xw/Xw_get_marker_index.cxx Diff ] File ]
rm - src/Xw/Xw_get_markmap_info.cxx Diff ] File ]
rm - src/Xw/Xw_get_mmscreen_pixelvalue.cxx Diff ] File ]
rm - src/Xw/Xw_get_pixel.cxx Diff ] File ]
rm - src/Xw/Xw_get_pixel_mmscreenvalue.cxx Diff ] File ]
rm - src/Xw/Xw_get_pixel_screencoord.cxx Diff ] File ]
rm - src/Xw/Xw_get_pixel_screenvalue.cxx Diff ] File ]
rm - src/Xw/Xw_get_pixel_windowcoord.cxx Diff ] File ]
rm - src/Xw/Xw_get_pixel_windowvalue.cxx Diff ] File ]
rm - src/Xw/Xw_get_rgbpixel.cxx Diff ] File ]
rm - src/Xw/Xw_get_screen_pixelcoord.cxx Diff ] File ]
rm - src/Xw/Xw_get_screen_pixelvalue.cxx Diff ] File ]
rm - src/Xw/Xw_get_screen_size.cxx Diff ] File ]
rm - src/Xw/Xw_get_text_size.cxx Diff ] File ]
rm - src/Xw/Xw_get_tilemap_info.cxx Diff ] File ]
rm - src/Xw/Xw_get_type.cxx Diff ] File ]
rm - src/Xw/Xw_get_typemap_info.cxx Diff ] File ]
rm - src/Xw/Xw_get_type_index.cxx Diff ] File ]
rm - src/Xw/Xw_get_width.cxx Diff ] File ]
rm - src/Xw/Xw_get_widthmap_info.cxx Diff ] File ]
rm - src/Xw/Xw_get_width_index.cxx Diff ] File ]
rm - src/Xw/Xw_get_window_info.cxx Diff ] File ]
rm - src/Xw/Xw_get_window_pixelcoord.cxx Diff ] File ]
rm - src/Xw/Xw_get_window_pixelvalue.cxx Diff ] File ]
rm - src/Xw/Xw_get_window_position.cxx Diff ] File ]
rm - src/Xw/Xw_get_window_visual.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_color.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_colormap.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_display.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_font.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_fontmap.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_image.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_marker.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_markmap.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_tile.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_tilemap.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_type.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_typemap.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_width.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_widthmap.cxx Diff ] File ]
rm - src/Xw/Xw_isdefine_window.cxx Diff ] File ]
rm - src/Xw/Xw_load_bmp_image.cxx Diff ] File ]
rm - src/Xw/Xw_load_gif_image.cxx Diff ] File ]
rm - src/Xw/Xw_load_icons.cxx Diff ] File ]
rm - src/Xw/Xw_load_image.cxx Diff ] File ]
rm - src/Xw/Xw_load_xwd_image.cxx Diff ] File ]
rm - src/Xw/Xw_MarkMap.cdl Diff ] File ]
rm - src/Xw/Xw_MarkMap.cxx Diff ] File ]
rm - src/Xw/Xw_open_display.cxx Diff ] File ]
rm - src/Xw/Xw_open_image.cxx Diff ] File ]
rm - src/Xw/Xw_open_pixmap.cxx Diff ] File ]
rm - src/Xw/Xw_open_window.cxx Diff ] File ]
rm - src/Xw/Xw_put_background_image.cxx Diff ] File ]
rm - src/Xw/Xw_put_pixel.cxx Diff ] File ]
rm - src/Xw/Xw_put_rgbpixel.cxx Diff ] File ]
rm - src/Xw/Xw_resize_window.cxx Diff ] File ]
rm - src/Xw/Xw_restore_area.cxx Diff ] File ]
rm - src/Xw/Xw_restore_window.cxx Diff ] File ]
rm - src/Xw/Xw_save_image.cxx Diff ] File ]
rm - src/Xw/Xw_set_background_index.cxx Diff ] File ]
rm - src/Xw/Xw_set_colormap.cxx Diff ] File ]
rm - src/Xw/Xw_set_double_buffer.cxx Diff ] File ]
rm - src/Xw/Xw_set_event.cxx Diff ] File ]
rm - src/Xw/Xw_set_extended_text_attrib.cxx Diff ] File ]
rm - src/Xw/Xw_set_fontmap.cxx Diff ] File ]
rm - src/Xw/Xw_set_hard_cursor.cxx Diff ] File ]
rm - src/Xw/Xw_set_internal_event.cxx Diff ] File ]
rm - src/Xw/Xw_set_line_attrib.cxx Diff ] File ]
rm - src/Xw/Xw_set_marker_attrib.cxx Diff ] File ]
rm - src/Xw/Xw_set_markmap.cxx Diff ] File ]
rm - src/Xw/Xw_set_poly_attrib.cxx Diff ] File ]
rm - src/Xw/Xw_set_soft_cursor.cxx Diff ] File ]
rm - src/Xw/Xw_set_text_attrib.cxx Diff ] File ]
rm - src/Xw/Xw_set_tilemap.cxx Diff ] File ]
rm - src/Xw/Xw_set_trace.cxx Diff ] File ]
rm - src/Xw/Xw_set_typemap.cxx Diff ] File ]
rm - src/Xw/Xw_set_widthmap.cxx Diff ] File ]
rm - src/Xw/Xw_set_window_ratio.cxx Diff ] File ]
rm - src/Xw/Xw_set_window_state.cxx Diff ] File ]
rm - src/Xw/Xw_TypeMap.cdl Diff ] File ]
rm - src/Xw/Xw_TypeMap.cxx Diff ] File ]
rm - src/Xw/Xw_wait_event.cxx Diff ] File ]
rm - src/Xw/Xw_WidthMap.cdl Diff ] File ]
rm - src/Xw/Xw_WidthMap.cxx Diff ] File ]
rm - src/Xw/Xw_Window.cdl Diff ] File ]
add - src/Xw/Xw_Window.hxx Diff ] File ]
rm - src/Xw/Xw_WOKSteps.edl Diff ] File ]
rm - src/Xw/Xw_WOKUMake.edl Diff ] File ]
rm - src/Xw/Xw_zoom_image.cxx Diff ] File ]
mod - tests/bugs/vis/bug23123 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2011-08-23 09:42 san Relationship added parent of 0022574
2011-08-23 09:42 san Relationship added related to 0022591
2012-10-23 17:09 san Relationship added related to 0023486
2012-10-24 15:47 abv Fixed in Version EMPTY =>
2012-10-24 15:47 abv Target Version => 6.6.0
2012-10-24 15:47 abv Description Updated View Revisions
2013-02-19 10:28 kgv Assigned To bugmaster => dbv
2013-02-19 10:30 kgv Note Added: 0023380
2013-02-19 10:35 kgv Relationship added related to 0023538
2013-02-20 18:56 kgv Relationship added related to 0023537
2013-02-26 18:29 san Target Version 6.6.0 => 6.7.0
2013-04-06 15:55 kgv Assigned To dbv => kgv
2013-04-06 15:55 kgv Status new => assigned
2013-04-06 15:58 kgv Note Added: 0024027
2013-04-06 15:58 kgv Assigned To kgv => san
2013-04-06 15:58 kgv Status assigned => resolved
2013-04-08 10:36 dbv Relationship added related to 0023885
2013-04-09 18:28 san Note Added: 0024058
2013-04-09 18:28 san Assigned To san => bugmaster
2013-04-09 18:28 san Status resolved => reviewed
2013-04-12 15:44 apn Assigned To bugmaster => apn
2013-04-17 15:52 bugmaster Target Version 6.7.0 => 6.6.0
2013-04-17 15:55 apn Note Added: 0024187
2013-04-17 15:55 apn Test case number => Not needed
2013-04-17 15:55 apn Assigned To apn => bugmaster
2013-04-17 15:55 apn Status reviewed => tested
2013-04-19 18:00 kgv Changeset attached => occt master ed97f43c
2013-04-19 18:00 kgv Assigned To bugmaster => kgv
2013-04-19 18:00 kgv Status tested => verified
2013-04-19 18:00 kgv Resolution open => fixed
2013-04-23 13:34 aiv Status verified => closed
2013-04-29 15:24 aiv Fixed in Version => 6.6.0


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker